
QGIS Application - Bug report #16975

Package python-qgis fails to install from ubuntugis ppa

2017-08-06 03:56 PM - Andre Joost

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:2.14.17 Regression?: Yes

Operating System: Linux Mint 18.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24874

Description

Since QGIS 2.18.11 currently won't install with ubuntugis dependencies, I try QGIS 2.14.17 from the ubuntugis unstable packge, with this

error message:

sudo apt install python-qgis

Paketlisten werden gelesen... Fertig

Abhängigkeitsbaum wird aufgebaut.       

Statusinformationen werden eingelesen.... Fertig

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass

Sie eine unmögliche Situation angefordert haben oder, wenn Sie die

Unstable-Distribution verwenden, dass einige erforderliche Pakete noch

nicht erstellt wurden oder Incoming noch nicht verlassen haben.

Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 python-qgis : Hängt ab von: python-qscintilla2 soll aber nicht installiert werden

               Hängt ab von: python-qt4 soll aber nicht installiert werden

               Hängt ab von: python-qt4-sql soll aber nicht installiert werden

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

second try:

sudo apt install python-qgis python-qt4

Paketlisten werden gelesen... Fertig

Abhängigkeitsbaum wird aufgebaut.       

Statusinformationen werden eingelesen.... Fertig

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass

Sie eine unmögliche Situation angefordert haben oder, wenn Sie die

Unstable-Distribution verwenden, dass einige erforderliche Pakete noch

nicht erstellt wurden oder Incoming noch nicht verlassen haben.

Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 python-qgis : Beschädigt: python-qt4 (< 4.11.4+dfsg-2) aber 4.11.4+dfsg-1build4 soll installiert werden

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

There is no other package python-qt4 available from the main Xenial repo.
History

#1 - 2017-08-06 07:13 PM - Giovanni Manghi

- Status changed from Open to Feedback

For me the error (trying to install 2.14 with ubuntugis dependencies) is the same as when trying to install 2.18, see #16977

#2 - 2017-08-06 07:45 PM - Andre Joost

- Status changed from Feedback to Open

Giovanni Manghi wrote:

For me the error (trying to install 2.14 with ubuntugis dependencies) is the same as when trying to install 2.18, see #16977

No. For this ticket I tried to install QGIS 2.14 directly from ubuntugis unstable, not from qgis.org. Ubuntugis unstable ppa has a freshly compiled version,

but it fails due to dependency, break and replace of python-qt4 by python-qgis.

I'm not sure how to workaround this.

Maybe you did not purge the QGIS installlation and still have references to qgis.org.

#3 - 2017-08-08 02:39 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#4 - 2017-08-08 02:40 AM - Jürgen Fischer

- Priority changed from High to Low

#5 - 2017-08-08 02:45 PM - Andre Joost

- Status changed from Closed to Reopened

I don't see any change, just did a new install inside a virtual box running Ubuntu 16.04 with current update/upgrade:

andre@andre-VirtualBox:~$ sudo apt-cache policy qgis

qgis:

  Installiert:           (keine)

  Installationskandidat: 2.14.17+dfsg-1~xenial1

  Versionstabelle:

     2.14.17+dfsg-1~xenial1 500

        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial/main amd64 Packages

     2.8.6+dfsg-1build1 500

        500 http://de.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

andre@andre-VirtualBox:~$ sudo apt-get install qgis

Paketlisten werden gelesen... Fertig

Abhängigkeitsbaum wird aufgebaut.       

Statusinformationen werden eingelesen.... Fertig

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die

Unstable-Distribution verwenden, dass einige erforderliche Pakete noch

nicht erstellt wurden oder Incoming noch nicht verlassen haben.

Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 qgis : Hängt ab von: python-qgis (= 2.14.17+dfsg-1~xenial1) soll aber nicht installiert werden

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

andre@andre-VirtualBox:~$ sudo apt-get install qgis python-qgis

Paketlisten werden gelesen... Fertig

Abhängigkeitsbaum wird aufgebaut.       

Statusinformationen werden eingelesen.... Fertig

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass

Sie eine unmögliche Situation angefordert haben oder, wenn Sie die

Unstable-Distribution verwenden, dass einige erforderliche Pakete noch

nicht erstellt wurden oder Incoming noch nicht verlassen haben.

Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 python-qgis : Hängt ab von: python-qscintilla2 soll aber nicht installiert werden

               Hängt ab von: python-qt4 soll aber nicht installiert werden

               Hängt ab von: python-qt4-sql soll aber nicht installiert werden

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

andre@andre-VirtualBox:~$ sudo apt-get install qgis python-qgis python-qt4

Paketlisten werden gelesen... Fertig

Abhängigkeitsbaum wird aufgebaut.       

Statusinformationen werden eingelesen.... Fertig

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass

Sie eine unmögliche Situation angefordert haben oder, wenn Sie die

Unstable-Distribution verwenden, dass einige erforderliche Pakete noch

nicht erstellt wurden oder Incoming noch nicht verlassen haben.

Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 python-qgis : Beschädigt: python-qt4 (< 4.11.4+dfsg-2) aber 4.11.4+dfsg-1build4 soll installiert werden

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

andre@andre-VirtualBox:~$ 

Note that the latest changes in qgis.org/ubuntugis xenial main have no effect on this error, because only the Ubuntugis unstable PPA (and main Xenial

repo) is used.

It might be an Ubuntugis issue rather than a qgis.org issue, but it is a qgis package (python-qgis) that blocks.

#6 - 2017-08-08 03:24 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Andre Joost wrote:

Note that the latest changes in qgis.org/ubuntugis xenial main have no effect on this error, because only the Ubuntugis unstable PPA (and main
Xenial repo) is used.

Um, why reopen this ticket?

# cat /etc/apt/sources.list

deb http://approx:9999/ubuntu xenial main universe

deb http://qgis.org/ubuntugis-ltr xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

# apt-get install qgis

[1090 lines skipped]

# dpkg -l python-qgis

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name                                    Version                  Architecture             Description

+++-=======================================-========================-========================-====================================================================================
ii  python-qgis                             1:2.14.17+24xenial-ubunt amd64                    Python bindings to QGIS
#


====================================================================

ii  python-qgis                             1:2.14.17+24xenial-ubunt amd64                    Python bindings to QGIS

#

works just fine.

#7 - 2017-08-08 04:43 PM - Andre Joost

You still have qgis.org in your sources list (which may work well).

I want the package https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable/+sourcepub/8143543/+listing-archive-extra from the ubuntugis

unstable ppa to work properly.

#8 - 2017-08-09 10:18 AM - Jürgen Fischer

Andre Joost wrote:

You still have qgis.org in your sources list (which may work well).

Of course.  Packaging problems with the qgis packages in the ubuntugis repo should not be filed here.  In our package the webkit python bindings are only

included in 2.14 for stretch and unstable (see rules).
https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable/+sourcepub/8143543/+listing-archive-extra
https://github.com/qgis/QGIS/blob/release-2_14/debian/rules#L113

